<?php
class ads_model extends Model
{
    function __construct()
    {
        parent::__construct();
    }
    function view($id)
    {
        
		$query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."advertise WHERE id = $id ");
        $query->setFetchMode(PDO::FETCH_NUM);
        $query->execute();
		$data = $query->fetch();
		$count = $query->rowCount();
		if($count == 1)
		{
			return $data;
		}
		else
		{
			header("Location: ../../index.php");	
		}
    }
    function group($id)
    {
        
		$query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."adssubgroup WHERE sgid = $id ");
        $query->setFetchMode(PDO::FETCH_NUM);
        $query->execute();
		$data = $query->fetch();
		return $data;

    }
    function getVitrin($userid)
    {   
        $query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."user WHERE id = :userid ");
        $query->setFetchMode(PDO::FETCH_ASSOC);
        $query->bindParam(':userid',$userid);
        $query->execute();
        $data   = $query->fetch();
        $ret[0] = $data['vitrin'];
        $ret[1] = $data['name'];
        return $ret;
    }
    function getMgname($mgid)
    {
        $query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."adsmaingroup WHERE mgid = :mgid");
        $query->setFetchMode(PDO::FETCH_ASSOC);
        $query->bindParam(':mgid',$mgid);
        $query->execute();
        $data   = $query->fetch();
        $ret    = $data['mgname'];
        return $ret;
    }
    function getSgname($sgid)
    {
        $query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."adssubgroup WHERE sgid = :sgid");
        $query->setFetchMode(PDO::FETCH_ASSOC);
        $query->bindParam(':sgid',$sgid);
        $query->execute();
        $data   = $query->fetch();
        $ret    = $data['sgname'];
        return $ret;
    }
    function adsViewCount($adsId,$visit,$time)
    {
        $visit = $visit + 1;
        $query = $this->db->prepare("UPDATE ".TABLE_PREFIX."advertise SET visit = :visit, lvdate = :time WHERE id = :adsId");
        $query->bindParam(':visit',$visit);
        $query->bindParam(':time',$time);
        $query->bindParam(':adsId',$adsId);
        $res = $query->execute();
    }
    function adsGaleryCount($adsId) 
    {
        $gcnt = my_count(TABLE_PREFIX.'galery','id','adsid',$adsId,-1,-1,-1,-1,-1,-1);
        return $gcnt;
    }
    function adsGetGalery($adsId)
    {
        $query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."galery WHERE `adsid` = :adsId ORDER BY `date` DESC");
        $query->setFetchMode(PDO::FETCH_ASSOC);
        $query->bindParam(':adsId',$adsId);
        $query->execute();
        $data = $query->fetchAll();
        return $data;                                
    }
    function adsGetNewSide($sgId)
    {
        $query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."advertise WHERE sgid = :sgId AND status = 1 ORDER BY id DESC ");
        $query->setFetchMode(PDO::FETCH_ASSOC);
        $query->bindParam(':sgId',$sgId);
        $query->execute();
        $data = $query->fetchAll();
        return $data;                                                                                   
    }
    function adsGetSpSide($mgId)
    {
        $query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."advertise WHERE mgid = :mgId AND status = 1 ORDER BY id DESC ");
        $query->setFetchMode(PDO::FETCH_ASSOC);
        $query->bindParam(':mgId',$mgId);
        $query->execute();
        $data = $query->fetchAll();
        return $data;       
    }
    function adsGetNewDown($sgId)
    {
        $query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."advertise WHERE `sgid` = sgId and `status` = 1 ORDER BY `update` DESC");
        $query->setFetchMode(PDO::FETCH_ASSOC);
        $query->bindParam(':sgId',$sgId);
        $query->execute();
        $data = $query->fetchAll();
        return $data;       
    }
}
?>