<?php
class register_model extends Model
{
    function __construct()
    {
        parent::__construct();
    }
    function confirmation($code)
    {
        
	$query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."user WHERE code = :code ");
        $query->setFetchMode(PDO::FETCH_NUM);
        $query->bindParam(':code',$code);
        $query->execute();
        $query->fetch();
        $count = $query->rowCount();
        if($count == 1)
        {
            $query = $this->db->prepare("UPDATE ".TABLE_PREFIX."user SET active = 1 WHERE code = $code ");
            $query->execute();
            $msg =  "ایمیل شما با موفقیت تایید گردید";
        }
        else
        {
            $msg =  "فعال سازی انجام نشد";
        }
        return $msg;
    }
    function registerSendActivation($email)
    {
        $siteAddress = Setting::GetSetting(11);
        $siteEmail   = Setting::GetSetting(12);
        $siteName    = Setting::GetSetting(5);

        $email  = $_POST["email"];
        $data  = get_email($email);

        if(!filter_var($email,FILTER_VALIDATE_EMAIL) OR $data == 2)
        {
            $msg = "<strong><font color=red>ایمیل را صحیح وارد نمایید</font></strong>";
        }
        else
        {
            
            $query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."user WHERE email = :email ");
            $query->setFetchMode(PDO::FETCH_ASSOC);
            $query->bindParam(':email',$email);
            $query->execute();
            $data = $query->fetch();
            $count = $query->rowCount();
            if($count > 0)
            {				
                
                $query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."user WHERE email = :email ");
                $query->setFetchMode(PDO::FETCH_ASSOC);
                $query->bindParam(':email',$email);
                $query->execute();
                $data = $query->fetch();
                $active = $data['active'];
                $code   = $data['code'];
                
                if($active == 1)
                {
                    $msg = "<strong><font color=green>نام کاربری شما فعال است. در صورت مشکل در ورود به سایت فرم تماس با ما را تکمیل نمایید</font></strong>"; 
                }
                else
                {
                    $to  = $email;
                    $to1 = $siteEmail;

                    $url = $siteAddress;
                    $subject="ارسال مجدد ایمیل فعال سازی";
                    $header="from: $siteName <$siteEmail>";
                    $message="
                    لینک فعال سازی  <br/>
                    برای فعال سازی ثبت نام روی لینک زیر کلیک کنید <br/>
                    $siteAddress/register/confirmation/$code
                    ";
                    $sentmail = mail($to,$subject,$message,$header);
                    if($sentmail)
                    {
                            $msg = "<strong><font color=green>ایمیل فعال سازی ارسال شد</font><strong>"; 
                    }
                    else
                    {
                            $msg = "<strong><font color=red>مشکل در ارسال ایمیل. لحظاتی دیگر تلاش نمایید</font></strong>";     
                    }
                }
            }
            else
            {
                $msg = "<strong><font color=red>چنین ایمیلی در سایت ثبت نشده است.</font></strong>";
            }
        }
        return $msg;
    }
    function registerRq()
    {
        $maxrq = my_max(TABLE_PREFIX.'rq','row',-1,-1,-1,-1,-1,-1,-1,-1);
        $rnd = rand(1,$maxrq);
        
        $query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."rq WHERE row = :rnd ");
        $query->setFetchMode(PDO::FETCH_ASSOC);
        $query->bindParam(':rnd',$rnd);
        $query->execute();
        $data    = $query->fetch();
        $data[0] = $data['question'];
        $data[1] = $rnd;
        
        return $data;
    }
    function registerAdd($name,$rnd1,$answer,$email,$pass,$pass1,$re_pass,$dat)
    {
        $siteEmail    = Setting::GetSetting(12);
        $siteAddress  = Setting::GetSetting(11);
        $siteName     = Setting::GetSetting(5);
        $registerMode = Setting::GetSetting(16);
        $gift         = Setting::GetSetting(20);
        
        if(!filter_var($email,FILTER_VALIDATE_EMAIL) OR $dat == 2)
        {
            $msg = "<font color=red>فرمت ایمیل درست نیست</font>";
            $data[0]=1;$data[1]=$name;$data[2]=$email;$data[3]=$msg;
        }
        else
        {
            $query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."rq WHERE row = :rnd1 ");
            $query->setFetchMode(PDO::FETCH_ASSOC);
            $query->bindParam(':rnd1',$rnd1);
            $query->execute();
            $data    = $query->fetch();
            $answer1 = $data['answer'];
       
            
            $query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."user WHERE email = :email ");
            $query->setFetchMode(PDO::FETCH_ASSOC);
            $query->bindParam(':email',$email);
            $query->execute();
            $data = $query->fetch();
            $count = $query->rowCount();
            
            if($name == "")
            {
                $msg = "<font color=red>نام را وارد كنيد</font>";
                $data[0] = 1;$data[1] = $name;$data[2] = $email;$data[3] = $msg;
            }
            elseif($count > 0)
            {
                $msg = "<font color=red>این ایمیل قبلا ثبت نام نموده است</font>";
                $data[0] = 1;$data[1] = $name;$data[2] = $email;$data[3] = $msg;   
            } 
            elseif($pass1 == "")
            {
                $msg = "<font color=red>رمز عبور را وارد كنيد</font>";
                $data[0] = 1;$data[1] = $name;$data[2] = $email;$data[3] = $msg;
            }
            elseif($pass != $re_pass)
            {
                $msg = "<font color=red>رمز عبور با تکرار رمز عبور یکسان نیست</font>";
                $data[0] = 1;$data[1] = $name;$data[2] = $email;$data[3] = $msg;
            }
            elseif($answer != $answer1)
            {
                $msg = "<font color=red>پاسخ سوال نادرست است</font>";
                $data[0] = 1;$data[1] = $name;$data[2] = $email;$data[3] = $msg;
            }
            else
            {
                $code = time();
                $query = $this->db->prepare("INSERT INTO ".TABLE_PREFIX."user(id, name, email, password, active , code, login) VALUES (NULL, '$name', '$email', '$pass', '0', '$code', '0')");
                $res   = $query->execute();
                if($res)
                {
                    $query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."user WHERE email = :email ");
                    $query->setFetchMode(PDO::FETCH_ASSOC);
                    $query->bindParam(':email',$email);
                    $query->execute();
                    $data = $query->fetch();
                    $id   = $data['id'];
                    
                    $date     = time();
                    $fishdate = s_to_j(time());

                    $comment  = 'اعتبار هدیه اولیه';
                    if($gift > 0)
                    {
                        $query = $this->db->prepare("INSERT INTO ".TABLE_PREFIX."fish (`id` ,`aid` ,`uid`,`fdate` ,`date` ,`fnumber` , `amount` ,`sender` ,`comment` ,`status`)VALUES (NULL , '0', '$id', '$fishdate', '$date', '0', '$gift', '-', '$comment', '1')");
                        $query->execute();
                    }
                    $to=$email;
                    $to1=$siteEmail;
                    $siteAddress = URL;
                    $url=$siteAddress;
                    
                    $subject="فعال سازی ثبت نام";
                    $subject1="ثبت نام جدبد";

                    $header="from:  $siteName  <$siteEmail>";
                    $header1="from: $siteName <$siteEmail>";

                    $active = $code;
                    $message="
                    لینک فعال سازی
                    برای فعال سازی ثبت نام روی لینک زیر کلیک کنید
                    $siteAddress"."register/confirmation/$code";

                    $message1 = "یک فرد جدید عضو شده است";

                    if($registerMode == 1) {$sentmail = mail($to,$subject,$message,$header);}
                    $sentmail1 = mail($to1,$subject1,$message1,$header1);

                    if($registerMode == 0){$msg = "<p style='font-size:16px; color:green;'>ثبت نام با موفقیت انجام شد. همکنون می توانید وارد حساب کاربری شوید.</p>";}
                    if($registerMode == 1){$msg = "<p style='font-size:16px; color:green;'>ثبت نام با موفقیت انجام و ایمیل فعال سازی به آدرس شما ارسال شد.</p>";}
                    
                    $data[0] = 2;
                    $data[1] = $name;
                    $data[2] = $email;
                    $data[3] = $msg;
                }
                else
                {
                    $msg = "<p style='font-size:16px; color:green;'>ایراد در ثبت کاربر</p>";
                    $data[0] = 1;$data[1] = $name;$data[2] = $email;$data[3] = $msg;
                }	
            }
        }
        return $data;
    }
    function registerForget($email)
    {
        
        $siteEmail    = Setting::GetSetting(12);
        $siteAddress  = Setting::GetSetting(11);
        $siteName     = Setting::GetSetting(5);
        
        $query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."user WHERE email = :email ");
        $query->setFetchMode(PDO::FETCH_ASSOC);
        $query->bindParam(':email',$email);
        $query->execute();
        $data = $query->fetch();
        $count = $query->rowCount();

        if($count == 1)
        {
            $query = $this->db->prepare("SELECT * FROM ".TABLE_PREFIX."user WHERE email = :email");
            $query->setFetchMode(PDO::FETCH_ASSOC);
            $query->bindParam(':email',$email);
            $query->execute();
            $data = $query->fetch();
            $id   = $data['id'];

            $time  = time();
            $len   = strlen($time);
            $pass  = substr($time,$len-4,4);
            $passm = md5($pass);	
            $query = $this->db->prepare("UPDATE ".TABLE_PREFIX."user SET `password` = '$passm' WHERE `id` = :id ");
            $query->bindParam(':id',$id);
            $res = $query->execute();
            if($res)
            {
                $to      = $email;
                $url     = $siteAddress;
                $subject = "رمز عبور جدید";
                $header  = "from:  $siteName  <$siteEmail>";
                $message = "
                رمز عبورجدید شما:
                $pass
                ";
                $sentmail = mail($to,$subject,$message,$header);
                if($sentmail)
                {
                    $msg2 = "<font color=green>رمز عبور جدید به آدرس شما ارسال شد</font>"; 
                }
                else
                {
                    $msg2 = "<font color=red>ایراد در ارسال رمز عبور لحضاتی بعد مجددا تلاش نمایید</font>";     
                }
            }
            else 
            {
                $msg2 = "<font color=red>خطای سیستمی</font>";     
            }
        }
        else
        {
            $msg2 = "<font color=red>چنین ایملی وجود ندارد</font>";
        }
        return $msg2;;
    }
}
?>